import IGetPlacesRepo from "../../data/repository/IGetPlacesRepo";
import { GetPlacesRO } from "../../data/response-object/protocols";
import GettingPlacesUsecase from "../getPlaceUsecase";

const mockedRO: GetPlacesRO = {
  availableServices: [""],
  createdAt: "createdAt",
  id: "id",
  name: "name",
  parentId: null,
  placeType: "continent",
  updatedAt: "updatedTime",
};
const mockedRepo: IGetPlacesRepo = jest
  .fn()
  .mockImplementation(async () => mockedRO);

describe("getting places usecase tests", () => {
  it("call repository on execute usecase", async () => {
    const usecase = new GettingPlacesUsecase(mockedRepo);
    await usecase.execute();

    expect(mockedRepo).toHaveBeenCalledTimes(1);
  });
});
