import { createSlice, SliceCaseReducers } from "@reduxjs/toolkit";
import { UserState } from "./protocols/userSliceProtocols";

export const userStateName = "user";
const userSlice = createSlice<UserState, SliceCaseReducers<UserState>>({
  name: userStateName,
  initialState: null,
  reducers: {
    update: (state, action) => {
      if (!action.payload) return state;
      return {
        ...state,
        ...action.payload,
      };
    },
  },
});

export default userSlice;
