import React from "react";

interface IPrimaryButtonProps {
  title: string;
  onClick: (e: React.MouseEvent) => void;
  className?: string;
}

export default function PrimaryButton(props: IPrimaryButtonProps) {
  const { onClick, title, className } = props;
  return (
    <button
      onClick={onClick}
      className={`py-1 px-5 transition-all hover:bg-primary-300 bg-primary-main rounded-lg text-white text-center ${className}`}
    >
      {title}
    </button>
  );
}
