import React from "react";

interface ISimpleInput {
  title: string;
  className?: string;
}

export default function SimpleInput(props: ISimpleInput) {
  const { title, className } = props;
  return (
    <div className={`flex flex-col ${className}`}>
      <label className="mb-1 text-txt-second text-xs" htmlFor={title}>
        {title}
      </label>
      <input
        className="bg-bg-gray h-11 rounded-lg focus:outline-0 px-2 text-txt-medium"
        id={title}
      />
    </div>
  );
}
