import React from "react";
import { staticMessages } from "~/driven/utils/constants/staticMessages";
import RowItem from "../../common/table-row/view/table-row-item/view/RowItem";
import TableRow from "../../common/table-row";
import { IPlacesListProps } from "./protocols";

export default function UsersListView(props: IPlacesListProps) {
  const { selectedRowId, setSelectedRowId } = props;

  const rows = () => {
    const placesdata = [
      {
        id: "1",
        place_id: "6440020b89366fdcaf15a8c2",
        title: "flat demoplace	",
        status: "demo",
        address: "demoplace",
      },
      {
        id: "2",
        place_id: "6440020b89366fdcaf15asdfa",
        title: "flat demoplace second	",
        status: "demo second",
        address: "demoplace second",
      },
    ];

    const rowData = {
      rowItemsTitle: placesdata.map((places) => {
        return [places.id, places.title, places.status, places.address];
      }),
      rowId: placesdata[0].id,
    };

    return placesdata.map((places) => {
      const rowData = {
        rowItemsTitle: [
          places.id,
          places.title,
          places.status,
          places.address,
          "",
        ],
        rowId: places.id,
      };
      return (
        <TableRow
          key={rowData.rowId}
          rowData={rowData}
          selectedRowId={selectedRowId}
          setSelectedRowId={setSelectedRowId}
        />
      );
    });
  };

  return (
    <table className="table-auto rounded-md w-full text-sm">
      <thead className="text-txt-medium font-bold">
        <tr>
          <th className="py-3">{staticMessages.global.place_id}</th>
          <th className="py-3">{staticMessages.global.title}</th>
          <th className="py-3">{staticMessages.global.status}</th>
          <th className="py-3">{staticMessages.global.address}</th>
          <th className="py-3">{staticMessages.global.qrCode}</th>
        </tr>
      </thead>
      <tbody>{rows()}</tbody>
    </table>
  );
}
