import React from "react";
import { staticMessages } from "~/driven/utils/constants/staticMessages";
import RowItem from "../../common/table-row/view/table-row-item/view/RowItem";
import TableRow from "../../common/table-row";
import { IUserListProps } from "./protocols";

export default function UsersListView(props: IUserListProps) {
  const { selectedRowId, setSelectedRowId } = props;

  const rows = () => {
    const userdata = [
      {
        id: "1",
        firstname: "behnam",
        lastname: "rahimpour",
      },
      {
        id: "2",
        firstname: "Salar",
        lastname: "Sali",
      },
    ];

    const rowData = {
      rowItemsTitle: userdata.map((user) => {
        return [user.firstname, user.lastname];
      }),
      rowId: userdata[0].id,
    };

    return userdata.map((user) => {
      const rowData = {
        rowItemsTitle: [user.firstname, user.lastname],
        rowId: user.id,
      };
      return (
        <TableRow
          key={rowData.rowId}
          rowData={rowData}
          selectedRowId={selectedRowId}
          setSelectedRowId={setSelectedRowId}
        />
      );
    });
  };

  return (
    <table className="table-auto rounded-md w-full text-sm">
      <thead className="text-txt-medium font-bold">
        <tr>
          <th className="py-3">{staticMessages.global.fistname}</th>
          <th className="py-3">{staticMessages.global.lastname}</th>
        </tr>
      </thead>
      <tbody>{rows()}</tbody>
    </table>
  );
}
